@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'dashboard'"
          [sqtmCoreAnchorCollapsePanel]="'dashboard'"
          [nzHeader]="statisticsTitle"
          class="anchor first-panel"
          [isEffectiveLastPanel]="!shouldDisplayTestInventory(componentData)"
          sqtmCoreAnchorLastPanel
        >
          <ng-template #statisticsTitle>
            <div
              class="flex-row full-width"
              style="overflow: hidden; justify-content: space-between"
            >
              <div
                class="entity-view-collapse-panel-title flex-fixed-size m-r-10"
              >
                @if (componentData.dashboard) {
                  <span>{{ componentData.dashboard.name }} </span>
                } @else {
                  <span>{{
                    getStatisticsTitleI18nKey(componentData.scope) | translate
                  }}</span>
                }
              </div>
              <div class="flex-row flex-end" style="overflow: hidden">
                @if (componentData.statistics || componentData.dashboard) {
                  <div
                    class="txt-ellipsis m-r-10 m-t-2 generated-label label-color"
                  >
                    {{
                      'sqtm-core.generic.date.prefix.generated-on'
                        | translate
                        | capitalize
                    }}
                    {{ componentData.generatedDashboardOn | date: 'medium' }}
                  </div>
                }
                <button
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.refresh' | translate | capitalize
                  "
                  nz-button
                  [nzType]="'primary'"
                  [nzSize]="'small'"
                  class="flex-fixed-size"
                  [attr.data-test-refresh-button-id]="'refresh-button'"
                  (click)="handleStatisticsRefresh($event)"
                >
                  <span>
                    <i nz-icon nzType="reload" nzTheme="outline"></i>
                  </span>
                </button>
                @if (!componentData.shouldShowFavoriteDashboard) {
                  <button
                    class="flex-fixed-size m-l-5"
                    [attr.data-test-element-id]="'favorite-button'"
                    nz-button
                    [nzType]="'primary'"
                    [nzSize]="'small'"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.favorite' | translate
                    "
                    (click)="displayFavoriteDashboard($event)"
                  >
                    <span>
                      {{ 'sqtm-core.generic.label.favorite' | translate }}
                    </span>
                  </button>
                } @else {
                  <button
                    class="flex-fixed-size m-l-5"
                    [attr.data-test-element-id]="'favorite-button'"
                    nz-button
                    [nzType]="'primary'"
                    [nzSize]="'small'"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.default' | translate
                    "
                    (click)="displayDefaultDashboard($event)"
                  >
                    {{ 'sqtm-core.generic.label.default' | translate }}
                  </button>
                }
                <span class="m-l-10">
                  <sqtm-core-filter-icon-menu
                    [isChecked]="this.$lastExecutionScope()"
                    [checkBoxLabel]="
                      'sqtm-core.campaign-workspace.statistics.last-exec-scope.message'
                    "
                    [helpTooltip]="
                      'sqtm-core.campaign-workspace.statistics.last-exec-scope.tooltip'
                    "
                    (confirmEvent)="changeExtendedScope($event)"
                  >
                  </sqtm-core-filter-icon-menu>
                </span>
              </div>
            </div>
          </ng-template>
          @if (componentData.dashboardLoaded || componentData.statistics) {
            @if (componentData.shouldShowFavoriteDashboard) {
              @if (componentData.dashboard) {
                <div style="height: 84vh">
                  @if (
                    componentData.dashboard.chartBindings.length !== 0 ||
                    componentData.dashboard.reportBindings.length !== 0
                  ) {
                    <sqtm-app-custom-dashboard
                      [dashboardId]="componentData.dashboard.id"
                      [chartBindings]="
                        getChartBindings(componentData.dashboard)
                      "
                    ></sqtm-app-custom-dashboard>
                  } @else {
                    <div style="height: 84vh; text-align: center">
                      <span style="font-weight: 600">
                        {{
                          'sqtm-core.custom-report-workspace.dashboard-view.empty-favorite.label'
                            | translate
                        }}
                      </span>
                    </div>
                  }
                </div>
              } @else {
                <div style="height: 84vh; text-align: center">
                  <span style="font-weight: 600">
                    {{
                      'sqtm-core.generic.workspace.messages.add-favorite-dashboard'
                        | translate
                    }}
                  </span>
                </div>
              }
            } @else {
              @if (!isScopeInvalid(componentData.scope)) {
                @if (
                  hasTestPlanItems(
                    componentData.statistics.testCaseStatusStatistics
                  )
                ) {
                  <sqtm-app-campaign-statistics-charts-panel
                    [statistics]="componentData.statistics"
                    [disabledExecutionStatus]="
                      componentData.disabledExecutionStatus
                    "
                    [scope]="componentData.scope"
                    [lastExecutionScope]="this.$lastExecutionScope()"
                  >
                  </sqtm-app-campaign-statistics-charts-panel>
                } @else {
                  <div
                    class="full-width flex-row"
                    [attr.data-test-element-id]="'empty-test-plan-error'"
                  >
                    {{
                      'sqtm-core.campaign-workspace.campaign-page.statistics.charts.no-test-plan-items.campaign'
                        | translate
                    }}
                  </div>
                }
              } @else {
                <span class="label-color font-14-px m-r-10">
                  {{
                    'sqtm-core.campaign-workspace.statistics.multi-selection.invalidSelection'
                      | translate
                  }}</span
                >
              }
            }
          } @else {
            <span
              class="label-color font-14-px m-r-10 __hover_pointer"
              (click)="handleStatisticsRefresh($event)"
              >{{
                'sqtm-core.generic.label.dashboard.generate' | translate
              }}...</span
            >
          }
          <ng-template #generate>
            <span
              class="label-color font-14-px m-r-10 __hover_pointer"
              (click)="handleStatisticsRefresh($event)"
              >{{
                'sqtm-core.generic.label.dashboard.generate' | translate
              }}...</span
            >
          </ng-template>
        </nz-collapse-panel>
        @if (shouldDisplayTestInventory(componentData)) {
          <nz-collapse-panel
            sqtmCoreAnchorLastPanel
            [isEffectiveLastPanel]="shouldDisplayTestInventory(componentData)"
            [nzHeader]="inventoryTitle"
            [nzActive]="true"
          >
            <ng-template #inventoryTitle>
              <div class="entity-view-collapse-panel-title">
                {{ getInventoryTitleI18nKey(componentData.scope) | translate }}
              </div>
            </ng-template>
            @if (shouldShowInventoryByCampaign(componentData.scope)) {
              <div class="full-width">
                <sqtm-app-campaign-folder-inventory
                  [inventory]="componentData.statistics.testInventoryStatistics"
                  [disabledExecutionStatus]="
                    componentData.disabledExecutionStatus
                  "
                ></sqtm-app-campaign-folder-inventory>
              </div>
            }
            @if (shouldShowInventoryByIteration(componentData.scope)) {
              <div class="full-width">
                <sqtm-app-campaign-inventory
                  [inventory]="componentData.statistics.testInventoryStatistics"
                  [disabledExecutionStatus]="
                    componentData.disabledExecutionStatus
                  "
                ></sqtm-app-campaign-inventory>
              </div>
            }
            @if (shouldShowInventoryByTestSuite(componentData.scope)) {
              <div class="full-width">
                <sqtm-app-iteration-inventory
                  [inventory]="
                    componentData.statistics
                      .testsuiteTestInventoryStatisticsList
                  "
                  [disabledExecutionStatus]="
                    componentData.disabledExecutionStatus
                  "
                >
                </sqtm-app-iteration-inventory>
              </div>
            }
          </nz-collapse-panel>
        }
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}
